## com.google.gwt.http.client
Class Request

    java.lang.Object
      com.google.gwt.http.client.Request

    public class Request

extends java.lang.Object

An HTTP request that is waiting for a response. Requests can be queried for their pending status or they can be canceled.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.http.HTTP"/>
>       <!-- additional module settings -->
>     </module>

Constructor Summary
`protected` | `Request()` Only used for building a `com.google.gwt.user.client.rpc.impl.FailedRequest`.

Method Summary
`void` | `cancel()` Cancels a pending request.
`boolean` | `isPending()` Returns true if this request is waiting for a response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Request

    protected Request()

  Only used for building a `com.google.gwt.user.client.rpc.impl.FailedRequest`.

Method Detail

### cancel

    public void cancel()

  Cancels a pending request. If the request has already been canceled or if it has timed out no action is taken.

### isPending

    public boolean isPending()

  Returns true if this request is waiting for a response.

  Returns:
    true if this request is waiting for a response